zenilib: Zeni::Widget_Renderer_Slider Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Widget_Renderer_Slider Class Reference

`#include <Widget.h>`

Inherits Zeni::Widget_Render_Function.

## Public Member Functions

| Widget_Renderer_Slider ()
| Widget_Renderer_Slider (const Color &line_color_, const Color &slider_color_)
virtual Widget_Renderer_Slider * | get_duplicate () const
virtual void | render_to (const Widget &widget)
| rect must be of type Slider More...
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Public Attributes

Color | line_color
Color | slider_color

## Detailed Description

Definition at line 416 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Widget_Renderer_Slider::Widget_Renderer_Slider | ( |  | ) |

inline

Definition at line 309 of file Widget.hxx.

Referenced by get_duplicate().

Zeni::Widget_Renderer_Slider::Widget_Renderer_Slider | ( | const Color & | line_color_,
|  | const Color & | slider_color_
| ) |  |

inline

Definition at line 315 of file Widget.hxx.

## Member Function Documentation

Widget_Renderer_Slider * Zeni::Widget_Renderer_Slider::get_duplicate | ( |  | ) | const

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 228 of file Widget.cpp.

References Widget_Renderer_Slider().

void Zeni::Widget_Renderer_Slider::render_to | ( | const Widget & | widget | ) |

virtual

rect must be of type Slider

Implements Zeni::Widget_Render_Function.

Definition at line 199 of file Widget.cpp.

References Zeni::Line_Segment< VERTEX >::a, Zeni::Line_Segment< VERTEX >::b, Zeni::Slider::get_end_point_a(), Zeni::Slider::get_end_point_b(), Zeni::Slider::get_slider_position(), Zeni::Slider::get_slider_radius(), Zeni::get_Video(), line_color, Zeni::Vector3f::normalized(), Zeni::Video::render(), and slider_color.

## Member Data Documentation

Color Zeni::Widget_Renderer_Slider::line_color

Definition at line 426 of file Widget.h.

Referenced by render_to().

Color Zeni::Widget_Renderer_Slider::slider_color

Definition at line 427 of file Widget.h.

Referenced by render_to().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx